@charset "utf-8";

/*==============================
            TOP
===============================*/
.top-wrapper {
  display: flex;
}

.top-left {
  width: 90px;
  height: 430px;
  display: flex; /* flex指定することで縦書き中央寄せが出来る */
  /* 縦書き */
  writing-mode: vertical-rl;
  -webkit-writing-mode: vertical-rl;
  -ms-writing-mode: tb-rl;
  align-items: center; /* 中央寄せ */
}

.top-left h1 {
  font-size: 2.8rem;
  font-family: "genJyuuGothicX-Bold";
  margin-top: 0;
  letter-spacing: 0.3rem; /* 縦書きの行間 空ける */
}

.top-left p {
  font-size: 1.4rem;
  margin-top: 0;
  font-weight: bold;
}

.top-right {
  width: 990px;
  height: 430px; /* 768pxの0.5625倍は380pxだが波のアニメーションのために+50px */
  position: relative;
}

.main-visual {
  width: 100%;
}

.top-right img {
  width: 100%;
  position: absolute;
  top: 0;
  left: 0;
  border-top-left-radius: 50px;
}

.top-right h2 {
  color: #fefefe;
  font-size: 2.8rem;
  font-family: "genJyuuGothicX-Bold";
  /* text-shadowを重ね掛け */
  text-shadow: 0px 3px 4px rgba(254,254,254,0.3), 0px -3px 4px rgba(254,254,254,0.3), 3px 0px 4px rgba(254,254,254,0.3), -3px 0px 4px rgba(254,254,254,0.3);
  position: absolute;
  top: 96px;
  left: 70px;
  z-index: 100;
  letter-spacing: 0.5rem; /* 行間を空ける */
  line-height: 4.5rem;
}

.news {
  width: 100%;
  height: 2.5rem; /* ★この指定で良いか調査 */
  display: flex;
  align-items: center;
  position: absolute;
  bottom: 1em;
  left: 0;
  z-index: 100;
}

.news h3 {
  color: #fefefe;
  margin-left: 10rem;
  padding-right: 2rem;
  font-size: 1.6rem;
  border-right: 1px solid #fefefe;
}

/* お知らせに温泉アイコン設定 */
.news h3::before {
  content:"";
  position: absolute; /* アイコンの位置を親からの位置で設定 */
  top: 0.15em;
	left: 4.5em;
	width: 1.8rem;
	height: 1.8rem;
	background:url(../img/top/icon_onsen.png) no-repeat;
	background-size:contain;

}

.news p {
  color: #fefefe;
  margin-left: 2rem;
  font-size: 1.5rem;
}

.wave {
  width: 100%;
  height: 430px;
}

/* waveを描画するエリア設定 */

canvas{
  position: absolute;
  bottom: 0;
  left:0;
  width: 100%;
}

/*==============================
            main
===============================*/
/* mainを囲う枠 */
.main-wrapper {
  width: 100%;
  margin: 0 auto;
  padding-top: 6.5rem;
  padding-bottom: 1rem;
  background-image: url(../img/main/background.png);
  background-size:  cover;
}

/*---- about,price共通 ---- */
/* about,price 大枠 */
.about-wrapper,
.price-wrapper {
  width: 100%;
  margin: 0 auto 56px;
}

/* about,price 中枠 */
.inner {
  width: 100%;
  display: flex;
}

/* ボタン */
.btn a {
  display: block;
  text-decoration: none;
  font-family: "genJyuuGothicX-Bold";
  color: #fefefe;
  font-size: 1rem;
  width: 160px;
  height: 33px;
  position: relative;
  line-height: 33px;
  text-align: center;
  background-color: #15c9ee;
  border-radius: 25px;
  transition: initial;
  letter-spacing: 0.1rem;
}

.about-wrapper .btn a::before {
  content: 'いりふね温泉について';
  position: absolute;
  z-index: 100;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  border-radius: 25px;
  margin: auto;
  width: 160px;
  height: 33px;
  color: #15c9ee;
  background: #c1f1fb;
  transform: scale(0);
  transition: 0.35s ease-in-out all;
}

.price-wrapper .btn a::before {
  content: '営業のご案内';
  position: absolute;
  z-index: 100;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  border-radius: 25px;
  margin: auto;
  width: 160px;
  height: 33px;
  color: #15c9ee;
  background: #c1f1fb;
  transform: scale(0);
  transition: 0.35s ease-in-out all;
}

.btn a:hover:before {
  transform: scale(1.05);
}

/*---- about ---- */
/* about 中枠 左側 */
.about-wrapper .inner-left {
  width: 450px;
}

/* 煙突写真 右上を丸める */
.about-wrapper .inner-left img {
  border-radius: 0 45px 8px 0;
}

/* about 中枠 右側 */
.about-wrapper .inner-right {
  width: calc(100% - 450px);
  position: relative;
}

/* 行間を空ける */
.about-wrapper .inner-right h3,
.about-wrapper .inner-right p,
.about-wrapper .inner-right .btn {
  margin: 2rem 0 0 4.2rem;
}

/* 見出し 好きやねん */
.about-wrapper .inner-right h3 {
  font-family: "genJyuuGothicX-Bold";
  font-size: 2.2rem;
  padding-left: 3.5rem;
  position: relative; /* 温泉アイコンのために設定 */
}

/* 見出しに温泉アイコン設定 */
.about-wrapper .inner-right h3::before {
  content:"";
  position: absolute;
  top: 0;
	left: 0;
	width: 29px;
	height: 24px;
	background: url(../img/main/icon_onsen.png) no-repeat;
	background-size: contain;
}

/* リードコピー */
.about-wrapper .inner-right p {
  font-size: 1.3rem;
  line-height: 2.2rem;
  letter-spacing: 0.1rem;
  word-break: keep-all; /* 、or 。で折り返す */
}

/* いりふね温泉くん yubune */
#character_2 {
  width: 150px;
  height: 150px;
  position: absolute;
  bottom: 1rem;
  right: 0;
}

#character_2:hover {
  transform: matrix(-1.1, -0.01, 0.01, 1.1, 1, 2);
  transition: 0.6s ease;
}

/*---- price ---- */
/* price 中枠 左側 */
.price-wrapper .inner-left {
  width: calc(100% - 450px);
  position: relative;
  top: 0;
  right: 0;
  font-size: 1.3rem;
  letter-spacing: 0.2rem;
}

/*-- inner-left-top --*/
/* price 左側 */
.inner-left-top {
  position: relative;
}

/* 見出し 手ぶらでどうぞ！ */
.price-wrapper .inner-left h3 {
  font-family: "genJyuuGothicX-Bold";
  font-size: 2.2rem;
  margin-left: 5rem;
}

/* いりふね温泉くん stand の枠 */
.inner-left-top div:nth-child(2) {
  width: 90px;
  height: 90px;
  position: absolute;
  top: -5rem;
  right: 28rem;
}

/* お気軽にお越しくださいませ～ ふきだし */
.inner-left-top p {
  color: #15c9ee;
  font-size: 1.2rem;
  position: absolute;
  top: -3rem;
  right: 8rem;
  transform: rotate(-5deg);
  font-weight: bold;
}

.inner-left-top p:before,
.inner-left-top p:after {
  content: '';
  position: absolute;
  display: inline-block;
  width: 3rem;
  height: 0.1rem;
  background-color: #15c9ee;
}

.inner-left-top p:before {
  transform: rotate(-200deg);
  top: -1.5rem;
  left: 0;
}

.inner-left-top p:after {
  transform: rotate(200deg);
  top: 2.5rem;
  left: 0;
}

/*-- inner-left-center --*/
/* 見出し 各表 */
.price-wrapper .inner-left h4 {
  font-size: 1.3rem;
  font-weight: bold;
  margin: 0.3rem 0 2rem 0;
  text-align-last: left;
  letter-spacing: 0.1rem; /* 行間を空ける */
  position: relative; /* 下波線のため設定 */
}

.price-wrapper h4::before {
  content: '';
  position: absolute;
  left: 2.8rem;
  bottom: -1.5rem;
  display: inline-block;
  width: 6rem;
  height: 1rem;
  -webkit-transform: translateX(-50%);
  transform: translateX(-50%);
  background: url(../img/main/namisen1.png) no-repeat;
  background-size: contain;
}

.inner-left-bottom h4::before {
  content: '';
  position: absolute;
  left: 5rem;
  bottom: -1.5rem;
  display: inline-block;
  width: 10rem;
  height: 1rem;
  -webkit-transform: translateX(-50%);
  transform: translateX(-50%);
  background: url(../img/main/namisen2.png) no-repeat;
  background-size: contain;
}

/* .price-wrapper .inner-left-bottom h4 {
  width: 300px;
} */

/* .price-wrapper .inner-left-bottom h4::after {
  content: '';
  position: absolute;
  left: 2.8rem;
  bottom: -1.5rem;
  display: inline-block;
  width: 6rem;
  height: 1rem;
  -webkit-transform: translateX(43%);
  transform: translateX(43%);
  background: url(../img/main/namisen1.png) no-repeat;
  background-size: contain;
} */

.inner-left-center {
  display: flex;
  margin-left: 5rem;
}

/*-- 営業時間 --*/
/* 営業時間 枠 */
.inner-left-center div:nth-child(1) {
  width: 45%;
}

.inner-left-center ul {
  width: 100%;
  display: table; /* li 左寄せ */
  padding-left: 0; /* li 左寄せ */
  margin-right: auto;
}

/* li 【 の分 左に寄せる */
.inner-left-center ul li {
  margin: 0 0 0.5rem -0.8rem;
}

/* 最後のliだけmargin-leftを0にする */
.inner-left-center ul li:last-child {
  margin-left: 0;
}

/*-- 入浴料金 --*/
/* 入浴料金 枠 */
.inner-left-center div:nth-child(2) {
  width: 55%;
  padding-right: 4.2rem;
}

/* 入浴料金 その他サービス 項目 枠 */
.inner-left-center dl,
.inner-left-bottom dl {
  display: flex;
  justify-content: space-between; /* dt右寄せ dd左寄せ */
  margin-bottom: -0.8rem; /* dl ブラウザの設定？で大き目に空くのでマイナスで行間詰める */
}

/* () と 円の文字 小さめに表示 */
.inner-left-center span,
.inner-left-bottom span {
  font-size: 1rem;
  font-weight: normal; /* 料金を太字にしているため */
}

/* 料金 数字 太字にする */
.inner-left-center dd,
.inner-left-bottom dd {
  /* margin-left: 0; */
  margin-right: 0;
  font-weight: bold;
}

/*-- その他サービス --*/
/* その他サービス 枠 */
.inner-left-bottom {
  margin: 2rem 4.2rem 0 5rem;
}

/* ボタン 営業のご案内 位置設定 */
.price-wrapper .btn {
  margin: 2.5rem 0 0 5rem;
}

/* price 中枠 右側 */
.price-wrapper .inner-right {
  width: 450px;
}

/* ロビー写真 左上 左下を丸める */
.price-wrapper .inner-right img {
  border-radius: 45px 0 0 8px;
}

/*==============================
            img slider
===============================*/

/* スライダー 余白設定 */
#slide {
  width: 100%;
  padding-left: 0;
  margin: 0 auto 0 0;
}

#slide li:first-child {
  margin: 0 0 0 0;
}

/* スリック幅設定 背景色指定 */
.slick-wrapper {
  width: 100%;
}

.slider {
  width: 100%;
}

.slider img {
  height: auto;
  width: 100%;
}

/*slick setting*/
.slick-prev:before,
.slick-next:before {
  color: #000;
}

/*==============================
            access
===============================*/

/* アクセスの大枠 */
.access-wrapper {
  width: 100%;
  margin: 56px auto 0;
}

/* 画像と文字の大枠 フレックス */
.access-inner {
  display: flex;
  width: 100%;
}

/* 画像のサイズ指定とマージン */
.access-left {
  width: 50%;
  margin-left: 156px;
}

.access-left img {
  width: 384px;
  border-radius: 3px 30px 3px 30px;
  margin-right: 39px;
}


/* アクセス説明欄 いりふねくん画像（画像は背景指定しています）*/
.access-right {
  width: 50%;
  background-image: url(../img/character/IrifuneOnsenKun_wallk_1.png);
	background-position: right top;
  background-position: right 5%;
	background-repeat: no-repeat;
	background-size: 40% auto;
  margin-right: 155px;
}

/* アクセス詳細 */
.access-right h3 {
  font-size: 22px;
  font-family: "genJyuuGothicX-Bold";
  margin-top: 0;
}

/* アクセス 文字サイズ ul,dl */
.access-right {
  font-size: 1.3rem;
  padding: 0;
}

.access-right ul {
  padding: 0;
}

/* 住所 行間設定 */
.access-right ul li {
  letter-spacing: 0.1rem;
  line-height: 2rem;
}

.access-right dl {
  display: flex;
}

.access-right dt {
  display: flex;
}

.access-right dd {
  display: flex;
  margin-left: 0; /* 左に詰める */
}

/* 営業・交通 行間設定 */
/* 営業時間・交通 */
.access-right dl:nth-child(3),
.access-right dl:nth-child(5) {
  line-height: 2rem;
}

/* 定休日 */
.access-right dl:nth-child(4) {
  margin-top: -0.5rem; /* 上に詰める */
}

.access-right dl:nth-child(4) dt span {
  letter-spacing: 0.6rem; /* :の位置揃える */
}

/* 営業時間・定休日・交通の左端揃える */
.access-right dl:nth-child(4) dd,
.access-right dl:nth-child(5) dd {
  padding-left: 0.8rem;
}

.access-right p {
  font-size: 1.1rem;
  line-height: 1.8rem;
  letter-spacing: 0.08rem;
  margin-bottom: 0;
}

/* p 自転車置き場 上に詰める */
.access-right p:nth-child(7) {
  margin-top: -1rem;
}

.access-irifune img {
  height: 89px;
  width: auto;
}

/* 以下グーグルマップ */
.map-left {
  margin-top: 45px;
  margin-left: 154px;
  padding-bottom: 56px;
}

.maps {
  display: flex;
}

/* TOPへ戻るボタン */
.IrifuneOnsenKun img {
  width: 100px;
  position: fixed;
  bottom: 0%;
  right: 250px;
  
}

.IrifuneOnsenKun:hover {
  color: #fff; /* 文字色 */
  opacity: 0.7; /* ボタンの透明度 */
}